www.cendio.com
Bug 7235 - context menu difficult to discover
: context menu difficult to discover
Status: CLOSED FIXED
: ThinLinc
VNC
: 1.3.1
: PC Unknown
: P2 Normal
: 4.10.0
Assigned To:
:
:
: 7158
:
  Show dependency treegraph
 
Reported: 2018-08-27 14:24 by
Modified: 2019-07-02 10:41 (History)
Acceptance Criteria:
* The client should briefly display a hint that the context menu can be opened by pressing a specific key * A release note about the notice should be written


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2018-08-27 14:24:14
A lot of important functionality is only available from the context menu (F8),
e.g. toggling full screen and disconnecting. However it is not apparent that
this menu exists, or how to access it.
------- Comment #1 From cendio 2018-08-27 14:25:54 -------
Fixed upstream by showing a brief hint when connecting:

https://github.com/TigerVNC/tigervnc/commit/4f0647da6a044f4d82d312a11ea8755d1aa7b63d
------- Comment #3 From cendio 2018-09-19 09:15:22 -------
> * The client should briefly display a hint that the context menu can
>   be opened by pressing a specific key
>

Works as expected.

> * A release note about the notice should be written
>

Done
------- Comment #4 From 2019-07-02 10:41:39 -------
As noted in the release notes, the 4.10.0 version of the ThinLinc client
displays a hint now upon connecting to the corresponding thinlinc server. In
general, this is a nice feature. We are, however, using a kiosk based system
for our users where ThinClients can be used to connect to the server. As such,
users are not meant to use the F8, etc. shortcut to move out of
fullscreen-mode, etc. Therefore we have set "OPTIONS_POPUP_KEY=" in our
tlclient.conf (to an empty string) to disable the popup key completely. In that
case the popup key hint should IMHO be disabled and not show up at all.

So please consider fixing this in a future thinlinc client version or is there
any other possibility to disable the popup key hint altogether for such
situations?!?